.portal-wrapper {
    font-family: Arial, sans-serif;
    padding-top: 60px; /* Prevent overlap with login form */
}

.portal-wrapper .navbar {
    background-color: #f3b40b;
	border-bottom: 3px solid maroon;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.8rem 1rem;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
}

.portal-wrapper .logo a {
    font-size: 1.5rem;
    font-weight: bold;
    color: #fff;
    text-decoration: none;
}

.portal-wrapper .navbar ul {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.portal-wrapper .navbar ul li {
    margin-left: 1rem;
}

.portal-wrapper .navbar ul li a {
    text-decoration: none;
    color: #1d2125;
	//font-weight:bold;
    padding: 0.5rem;
    transition: background 0.3s;
}

.portal-wrapper .navbar ul li a {
    text-decoration: none;
    color: #1d2125;
	//font-weight:bold;
    padding: 0.5rem;
    transition: background 0.3s;
}




.portal-wrapper .navbar ul li a:hover {
    background-color: #575757;
    border-radius: 4px;
}

/* Hamburger menu */
#menu-toggle {
    display: none;
}

.menu-icon {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.menu-icon span {
    height: 3px;
    width: 25px;
    background: #fff;
    margin: 4px 0;
    transition: 0.4s;
}

/* Responsive */
@media (max-width: 768px) {
    .portal-wrapper .navbar ul {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: #ffc;
        position: absolute;
        top: 100%;
        left: 0;
    }

    #menu-toggle:checked ~ ul {
        display: flex;
    }

    .menu-icon {
        display: flex;
    }
}
